# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# C:\b\abs_4a5z9raz19\clone\recipe, last modified Thu Nov  9 15:13:38 2023
# ------------------------------------------------

package:
  name: nbclassic
  version: 1.0.0
source:
  sha256: 0ae11eb2319455d805596bf320336cda9554b41d99ab9a3c31bf8180bffa30e3
  url: https://pypi.io/packages/source/n/nbclassic/nbclassic-1.0.0.tar.gz
build:
  entry_points:
    - jupyter-nbclassic = nbclassic.notebookapp:main
    - jupyter-nbclassic-bundlerextension = nbclassic.bundler.bundlerextensions:main
    - jupyter-nbclassic-extension = nbclassic.nbextensions:main
    - jupyter-nbclassic-serverextension = nbclassic.serverextensions:main
  number: '0'
  script: C:\\b\\abs_4a5z9raz19\\croot\\nbclassic_1699542837556\\_h_env\\python.exe
    -m pip install . --no-deps --ignore-installed --no-cache-dir --no-build-isolation
    -vvv
  string: py39haa95532_0
requirements:
  host:
    - anyio 3.5.0 py39haa95532_0
    - argon2-cffi 21.3.0 pyhd3eb1b0_0
    - argon2-cffi-bindings 21.2.0 py39h2bbff1b_0
    - attrs 23.1.0 py39haa95532_0
    - babel 2.11.0 py39haa95532_0
    - beautifulsoup4 4.12.2 py39haa95532_0
    - bleach 4.1.0 pyhd3eb1b0_0
    - ca-certificates 2023.08.22 haa95532_0
    - cffi 1.15.1 py39h2bbff1b_3
    - defusedxml 0.7.1 pyhd3eb1b0_0
    - deprecation 2.1.0 pyhd3eb1b0_0
    - idna 3.4 py39haa95532_0
    - importlib-metadata 6.0.0 py39haa95532_0
    - importlib_metadata 6.0.0 hd3eb1b0_0
    - jinja2 3.1.2 py39haa95532_0
    - jsonschema 4.19.2 py39haa95532_0
    - jsonschema-specifications 2023.7.1 py39haa95532_0
    - jupyter-packaging 0.12.0 py39haa95532_1
    - jupyter_client 8.6.0 py39haa95532_0
    - jupyter_core 5.5.0 py39haa95532_0
    - jupyter_server 1.23.4 py39haa95532_0
    - jupyterlab_pygments 0.1.2 py_0
    - libsodium 1.0.18 h62dcd97_0
    - markupsafe 2.1.1 py39h2bbff1b_0
    - mistune 2.0.4 py39haa95532_0
    - nbclient 0.8.0 py39haa95532_0
    - nbconvert 7.10.0 py39haa95532_0
    - nbformat 5.9.2 py39haa95532_0
    - openssl 3.0.12 h2bbff1b_0
    - packaging 23.1 py39haa95532_0
    - pandocfilters 1.5.0 pyhd3eb1b0_0
    - pip 23.3 py39haa95532_0
    - platformdirs 3.10.0 py39haa95532_0
    - prometheus_client 0.14.1 py39haa95532_0
    - pycparser 2.21 pyhd3eb1b0_0
    - pygments 2.15.1 py39haa95532_1
    - python 3.9.18 h1aa4202_0
    - python-dateutil 2.8.2 pyhd3eb1b0_0
    - python-fastjsonschema 2.16.2 py39haa95532_0
    - pytz 2023.3.post1 py39haa95532_0
    - pywin32 305 py39h2bbff1b_0
    - pywinpty 2.0.10 py39h5da7b33_0
    - pyzmq 25.1.0 py39hd77b12b_0
    - referencing 0.30.2 py39haa95532_0
    - rpds-py 0.10.6 py39h062c2fa_0
    - send2trash 1.8.2 py39haa95532_0
    - setuptools 68.0.0 py39haa95532_0
    - six 1.16.0 pyhd3eb1b0_1
    - sniffio 1.2.0 py39haa95532_1
    - soupsieve 2.5 py39haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - terminado 0.17.1 py39haa95532_0
    - tinycss2 1.2.1 py39haa95532_0
    - tomlkit 0.11.1 py39haa95532_0
    - tornado 6.3.3 py39h2bbff1b_0
    - traitlets 5.7.1 py39haa95532_0
    - typing-extensions 4.7.1 py39haa95532_0
    - typing_extensions 4.7.1 py39haa95532_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - webencodings 0.5.1 py39haa95532_1
    - websocket-client 0.58.0 py39haa95532_4
    - wheel 0.41.2 py39haa95532_0
    - winpty 0.4.3 4
    - zeromq 4.3.4 hd77b12b_0
    - zipp 3.11.0 py39haa95532_0
  run:
    - argon2-cffi
    - ipykernel
    - ipython_genutils
    - jinja2
    - jupyter_client >=6.1.1
    - jupyter_core >=4.6.1
    - jupyter_server >=1.8
    - nbconvert >=5
    - nbformat
    - nest-asyncio >=1.5
    - notebook-shim >=0.2.3
    - prometheus_client
    - python >=3.9,<3.10.0a0
    - pyzmq >=17
    - send2trash >=1.8.0
    - terminado >=0.8.3
    - tornado >=6.1
    - traitlets >=4.2.1
test:
  commands:
    - pip check
    - jupyter nbclassic --help
    - jupyter nbclassic-extension --help
    - jupyter nbclassic-serverextension --help
    - jupyter nbclassic-bundlerextension --help
    - jupyter server extension list
    - jupyter server extension list 1>server_extensions 2>&1
    - cat server_extensions | rg -ie "nbclassic.*enabled"
    - cat server_extensions | rg -ie "nbclassic.*OK"
    - cat server_extensions | rg -ie "notebook_shim.*enabled"
    - cat server_extensions | rg -ie "notebook_shim.*OK"
  imports:
    - nbclassic
  requires:
    - pip
    - ripgrep
about:
  description: 'This project prepares for a future where JupyterLab and other frontends

    switch to Jupyter Server for their Python Web application backend. Using

    this package, users can launch Jupyter Notebook, JupyterLab and other

    frontends side-by-side on top of the new Python server backend.

    '
  dev_url: https://github.com/jupyter/nbclassic
  doc_url: https://nbclassic.readthedocs.io/
  home: https://github.com/jupyter/nbclassic
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Jupyter Notebook as a Jupyter Server Extension.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 4a2f5e5e-7729-4355-b587-7b59d12956a2
  recipe-maintainers:
    - afshin
    - bollwyvl
    - jasongrout
    - jtpio
  remote_url: git@github.com:AnacondaRecipes/nbclassic-feedstock.git
  sha: 6aedbbafc2fbf85dbc9352db0f71e306a7134bc5
